VnEzAsyncData Struct Reference

Structure supporting easy and reliable access to asynchronous data from a VectorNav sensor at the cost of a slight performance hit. More...

`#include <ezasyncdata.h>`

## Data Fields

VnSensor * | sensor
| The associated connected sensor.
VnCriticalSection * | curDataCS
| Critical section for accessing the current data.
VnCompositeData * | curData
| The current data received from asynchronous data packets.

## Detailed Description

Structure supporting easy and reliable access to asynchronous data from a VectorNav sensor at the cost of a slight performance hit.

Examples:
  ez_async_data/main.c.

The documentation for this struct was generated from the following file:

- ezasyncdata.h